Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 209895 - kernel-devel is missing include/config.h
Summary: kernel-devel is missing include/config.h
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-10-07 16:43 UTC by Nicolas Mailhot
Modified: 2015-01-04 22:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-11 23:55:02 UTC


Attachments (Terms of Use)

Description Nicolas Mailhot 2006-10-07 16:43:39 UTC
Description of problem:

The linux-2.6-build-remove-configh-include.patch patch davej added two days ago
to kill include/kernel.h is causing a build failure in my ivtv dkms rpm. Please
back it out

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2747.fc6

Comment 1 Dave Jones 2006-10-07 19:54:44 UTC
it's going away upstream. ivtv needs to be changed.
just remove the #include <linux/config.h>



Comment 2 Nicolas Mailhot 2006-10-07 21:38:06 UTC
Well, if it's going upstream, let it go upstream

What's the point of removing it ahead of time in Fedora ? Have non-Fedora people
complain Red Hat does not follow upstream and patches its kernels with all sorts
of strange stuff ? I thought the aim was to kill this reputation ?

Comment 3 Dave Jones 2006-10-11 23:55:02 UTC
it means when I rebase to 2.6.19 as an update for FC6 (which will happen very
shortly after its release), third party drivers will be already ready.

A surprising number of out-of-tree drivers only ever release updates for the
release kernel, and choose not to release updates for the errata kernels.



Note You need to log in before you can comment on or make changes to this bug.